import 'dart:convert';
// import 'package:date_format/date_format.dart';
// import 'package:dio/dio.dart';
import 'package:flutter/material.dart';
import 'package:http/http.dart' as http;
// import 'package:go_router/go_router.dart';
import 'package:namer_app/footer.dart';
import 'package:namer_app/head.dart';
// import 'package:namer_app/services/signIn.dart';
// import 'package:namer_app/header.dart';

class LoginPage extends StatelessWidget {
  const LoginPage({super.key});

  @override
  Widget build(BuildContext context) {
    // var dio = Dio();
    // Response response;
    final usernameController = TextEditingController();
    final passwordController = TextEditingController();
    // var auth =
    //     'Basic ${base64Encode(utf8.encode('$usernameController:$passwordController'))}';
    return Scaffold(
      // appBar: Header(
      //   title: Text('title'),
      //   appBar: AppBar(),
      //   widgets: <Widget>[Icon(Icons.more_vert)],
      // ),
      appBar: CustomAppbar(),
      backgroundColor: Colors.white,
      body: Column(
        mainAxisAlignment: MainAxisAlignment.spaceEvenly,
        children: [
          Expanded(
            child: Center(
                child: Row(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                Text(
                  'LOGIN',
                  style: TextStyle(color: Colors.black, fontSize: 48),
                ),
              ],
            )),
          ),
          Expanded(
              child: Column(
            children: [
              Padding(
                padding: const EdgeInsets.all(8.0),
                child: SizedBox(
                  width: 396,
                  height: 51,
                  child: TextField(
                    decoration: InputDecoration(
                        border: OutlineInputBorder(),
                        focusedBorder: OutlineInputBorder(
                            borderRadius: BorderRadius.all(Radius.circular(12)),
                            borderSide: BorderSide(color: Colors.black)),
                        enabledBorder: OutlineInputBorder(
                            borderRadius: BorderRadius.all(Radius.circular(12)),
                            borderSide: BorderSide(color: Colors.black)),
                        labelText: 'Enter Username',
                        labelStyle: TextStyle(color: Colors.black),
                        filled: true,
                        fillColor: Colors.white.withOpacity(0.25)),
                    cursorColor: Colors.black,
                    style: TextStyle(color: Colors.black),
                    controller: usernameController,
                  ),
                ),
              ),
              SizedBox(
                width: 396,
                height: 51,
                child: TextField(
                  obscureText: true,
                  decoration: InputDecoration(
                      border: OutlineInputBorder(),
                      focusedBorder: OutlineInputBorder(
                          borderRadius: BorderRadius.all(Radius.circular(12)),
                          borderSide: BorderSide(color: Colors.black)),
                      enabledBorder: OutlineInputBorder(
                          borderRadius: BorderRadius.all(Radius.circular(12)),
                          borderSide: BorderSide(color: Colors.black)),
                      labelText: 'Enter Password',
                      labelStyle: TextStyle(color: Colors.black),
                      filled: true,
                      fillColor: Colors.white.withOpacity(0.25)),
                  cursorColor: Colors.black,
                  style: TextStyle(color: Colors.black),
                  controller: passwordController,
                ),
              ),
              Padding(
                padding: const EdgeInsets.all(20.0),
                child: SizedBox(
                  width: 396,
                  height: 61,
                  child: ElevatedButton(
                    onPressed: () async{
                      String basicAuth = 'Basic ${base64.encode('usernameController:passwordController' as List<int>)}';
  var response = await http.post(
      'http://localhost:8080/api/v1' as Uri,
      headers: <String, String>{'authorization': basicAuth},
  );

  print('Response status: ${response.statusCode}');
  print('Response body: ${response.body}');
                    },
                    style: ElevatedButton.styleFrom(
                      backgroundColor: Colors.black, //todo putih lage
                      side: BorderSide(color: Colors.white),
                      shape: RoundedRectangleBorder(
                        borderRadius: BorderRadius.circular(12.0),
                      ),
                    ),
                    child: Text(
                      'Login',
                      style: TextStyle(color: Colors.white),
                    ),
                  ),
                ),
              ),
            ],
          )),
        ],
      ),
      bottomNavigationBar: Footer(),
    );
  }
}
