// ignore_for_file: file_names

import 'package:dio/dio.dart';


Future<Response?> signIn(usernameController, passwordController) async {
  var dio = Dio();
  try {
    var response = await dio.post('http://localhost:8080/api/v1',
        data: {"username": usernameController, "password": passwordController},
        options: Options(
          headers: {
            'Content-Type': 'application/json',
            'Accept': 'application/json',
          },
        ));
    print(response.data);
    return response;
  } catch (e) {
    print(e.toString());
  }
  return null;
}